.markdown-view {
    h1, h2, h3, h4, h5, h6, pre, blockquote, ul, ol {
        margin-bottom: 1.2rem;
    }

    h1, h2 {
        padding-bottom: 5px;
        border-bottom: 1px solid var(--v-secondary-base);
        width: 100%;
    }

    img {
        max-width: 100%;
        margin-bottom: 20px;
    }

    pre {
        code {
            display: block;
            padding: 10px;
            margin-bottom: 20px;
        }
    }

    p {
        margin-bottom: 0.8rem;
    }

    hr {
        margin: 20px 0;
    }

    blockquote {
        display: block;
        border-left: 4px  var(--v-secondary-lighten5) solid;
        padding: 0.6rem 0.6rem 0.6rem 0.8rem;
        margin-bottom: 1.2rem;
        color: var(--v-secondary-lighten2);

        p {
            margin-bottom: 0;
        }
    }

    //#region Lists
    ul, ol {
        li {
            margin-top: 0.5rem;
        }
        ul, ol {
            padding-left: 1.5rem;
        }
    }
    //#endregion Lists

    //#region Checkboxes
    ul.omm-task-list {
        list-style: none;
        padding-left: 0.5rem;

        li {
            margin-top: 0.5rem;
        }
        ul {
            padding-left: 1.5rem;
        }

        input[type="checkbox"] {
            position: relative;
            width: 1rem;
            height: 1rem;
            color: black;
            border: 1px solid gray;
            border-radius: 4px;
            appearance: none;
            outline: 0;
            cursor: pointer;
            transition: background 175ms cubic-bezier(0.1, 0.1, 0.25, 1);

            &::before {
                position: absolute;
                content: '';
                display: block;
                top: 1.32px;
                left: 4.5px;
                width: 5.28px;
                height: 9.24px;
                border-style: solid;
                border-color: white;
                border-width: 0 2px 2px 0;
                transform: rotate(45deg);
                opacity: 0;
            }

            &:checked {
                color: white;
                border-color: var(--v-success-base);
                background: var(--v-success-base);
                &::before {
                    opacity: 1;
                }
                ~ label::before {
                    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
                }
            }
        }

        label {
            position: relative;
            cursor: pointer;
            font-size: 1rem;
            padding: 0 0.25rem 0;
            user-select: none;
            &::before {
                position: absolute;
                content: attr(data-content);
                color: lightgrey;
                clip-path: polygon(0 0, 0 0, 0% 100%, 0 100%);
                text-decoration: line-through;
                text-decoration-thickness: 3px;
                text-decoration-color: black;
                transition: clip-path 200ms cubic-bezier(0.25, 0.46, 0.45, 0.94);
            }
        }
    }
    //#endregion Checkboxes
}